<!DOCTYPE html>
<html>
	<head>
		<title>HTML Forms</title>
	</head>
	<body>
		<header>
			<h1>HTML Forms</h1>
			<p><em>Input elements that make up a form.</em></p>
		</header>
		<main>
			<!-- Create an HTML form to capture user input -->
			<form action="https://www.google.com/" method="POST">
			
			<!-- Create an input field to capture user inputs -->
			
			<!-- Accepts text input -->
			<label for="full-name">Full Name:</label>
			<input type="text" name="full_name" id="full-name">
			<br>

			<!-- Accepts date input -->
			<label for="birth-date">Birth Date:</label>
			<input type="date" name="birth_date" id="birth-date">
			<br>

			<!-- Accepts number input -->
			<label for="age">Age:</label>
			<input type="number" name="age" id="age">
			<br>

			<!-- Accepts input from a list of options through a dropdown -->
			<label for="gender">Gender:</label>
			<select name="gender" id="gender">
				<option value="male">Male</option>
				<option value="female">Female</option>
			</select>
			<br>

			<!-- Accepts a large text input -->
			<label for="notes">Notes:</label>
			<textarea name="notes" id="notes"></textarea>
			<br>

			<!-- Accepts input from a list of option w/ one choice only-->
			<label>
				Yes <input type="radio" name="new_user" id="user-type1" value="yes">
			</label>
			<label>
				No <input type="radio" name="new_user" id="user-type2" value="no">
			</label>
			<br>

			<!-- Accepts input from a list of options w/ multiple choice -->
			<label>
				Developer <input type="checkbox" name="role1" id="role1" value="developer">
			</label>
			<label>
				Designer <input type="checkbox" name="role2" id="role2" value="designer">
			</label>
			<label>
				Manager <input type="checkbox" name="role3" id="role3" value="manager">
			</label>
			<br>

			<!-- Create a button that will submit the form data -->
			<input type="submit" value="Submit">
			</form>
		</main>
	</body>
</html>